---

matrix_email2matrix_enabled: true

matrix_email2matrix_base_path: "{{ matrix_base_data_path }}/email2matrix"
matrix_email2matrix_config_dir_path: "{{ matrix_email2matrix_base_path }}/config"
matrix_email2matrix_docker_src_files_path: "{{ matrix_email2matrix_base_path }}/docker-src"

matrix_email2matrix_container_image_self_build: false
matrix_email2matrix_container_image_self_build_repo: "https://github.com/devture/email2matrix.git"
matrix_email2matrix_container_image_self_build_branch: "{{ matrix_email2matrix_version }}"

matrix_email2matrix_version: 1.0.3
matrix_email2matrix_docker_image_prefix: "{{ 'localhost/' if matrix_email2matrix_container_image_self_build else matrix_container_global_registry_prefix }}"
matrix_email2matrix_docker_image: "{{ matrix_email2matrix_docker_image_prefix }}devture/email2matrix:{{ matrix_email2matrix_version }}"
matrix_email2matrix_docker_image_force_pull: "{{ matrix_email2matrix_docker_image.endswith(':latest') }}"

# A list of extra arguments to pass to the container
matrix_email2matrix_container_extra_arguments: []

# List of systemd services that matrix-corporal.service depends on
matrix_email2matrix_systemd_required_services_list: ['docker.service']

# Controls where the matrix-email2matrix container exposes the SMTP (tcp/2525 in the container).
#
# Takes an "<ip>:<port>" or "<port>" value (e.g. "127.0.0.1:2525").
#
# By default, we listen on port 25 on all of the host's network interfaces.
matrix_email2matrix_smtp_host_bind_port: "25"

matrix_email2matrix_smtp_hostname: "{{ matrix_server_fqn_matrix }}"

# A list of mailbox to Matrix mappings.
#
# Example:
# matrix_email2matrix_matrix_mappings:
#  - MailboxName: "mailbox1"
#    MatrixRoomId: "!bpcwlxIUxVvvgXcbjy:example.com"
#    MatrixHomeserverUrl: "{{ matrix_homeserver_url }}"
#    MatrixUserId": "@email2matrix:{{ matrix_domain }}"
#    MatrixAccessToken": "TOKEN_HERE"
#    IgnoreSubject: false
#
#  - MailboxName: "mailbox2"
#    MatrixRoomId: "!another:example.com"
#    MatrixHomeserverUrl: "{{ matrix_homeserver_url }}"
#    MatrixUserId": "@email2matrix:{{ matrix_domain }}"
#    MatrixAccessToken": "TOKEN_HERE"
#    IgnoreSubject: true
matrix_email2matrix_matrix_mappings: []

matrix_email2matrix_misc_debug: false
